using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WnvConvertRtfToPdfDemo
{
    public partial class RtfViewer : Form
    {
        private string rtfFileFullPath = null;
        private int rtfViewerWidth = 800;

        public RtfViewer()
        {
            InitializeComponent();
        }

        public string RtfFileFullPath
        {
            get
            {
                return rtfFileFullPath;
            }
            set
            {
                rtfFileFullPath = value;
            }
        }

        public int RtfViewerWidth
        {
            get
            {
                return rtfViewerWidth;
            }
            set
            {
                rtfViewerWidth = value;
            }
        }

        private void RtfViewer_Load(object sender, EventArgs e)
        {
            string rtfCode = File.ReadAllText(rtfFileFullPath);
            this.Width = rtfViewerWidth;
            richTextBox.Rtf = rtfCode;
        }
    }
}